This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 195921 - Review Request: sextractor
Review Request: sextractor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-19 12:56 EDT by Sergio Pascual
Modified: 2008-07-16 20:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-21 04:04:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2006-06-19 12:56:53 EDT
Spec URL: http://t-rex.fis.ucm.es/~spr/sextractor.spec
SRPM URL: http://t-rex.fis.ucm.es/~spr/sextractor-2.4.4-1.fc5.src.rpm
Description: SExtractor is a program that builds a catalogue of objects from an astronomical image. Although it is particularly oriented towards reduction of large scale galaxy-survey data, it performs rather well on moderately crowded star fields.
Comment 1 Jesse Keating 2006-06-19 13:50:38 EDT
wow, the name couldn't be worse I don't think.
Comment 2 Jason Tibbitts 2006-06-19 23:47:52 EDT
It is indeed a humorous name, but that's what upstream chose.  But did they have
to choose "sex" for the executable?  The jokes will be endless.  The package
builds fine in mock (development, x86_64) and rpmlint has this to say:

E: sextractor-debuginfo script-without-shellbang
/usr/src/debug/sextractor-2.4.4/src/fits/fitsconv.c

This odd warning derives from the fact that src/fits/fitsconv.c is executable
for some reason, and it keeps its permissions when copied into the -debuginfo
package.  You should chmod it in %prep to shut this up.

Something I wonder about: There are a couple of files in /usr/share/sextractor
which look like configuration files; are these actually used by the program? 
Are they supposed to be edit by the administrator?  If so, they really should
live in /etc and be marked as %config(noreplace).  And if they're example
defaults, they should go in with the rest of the documentation.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   9f1389ae9229c65f0a6a0b264deb314f  sextractor-2.4.4.tar.gz
* latest version is being packaged.
* BuildRequires are proper (none).
* package builds in mock (development, x86_64).
X rpmlint is silent.
* final provides and requires are sane; just provides sextractor = 2.4.4-1.fc6
and requires nothing but glibc.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
X file permissions are appropriate (one source file is executable)
* %clean is present.
* %check is not present; no test suite upstream.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 3 Sergio Pascual 2006-06-20 04:18:34 EDT
About the files in /usr/share/sextractor:

Two of them are suppose to be edited by the user: default.sex and default.param
I agree that default.sex and default.param should go to %doc

The rest of the files are convolution masks for optimal detection of objects in
images and the neural network weights. These files are not supposed to be edited
by the user. Should these files go to /etc?

Comment 4 Jason Tibbitts 2006-06-20 08:52:02 EDT
> Two of them are suppose to be edited by the user: default.sex and default.param
> I agree that default.sex and default.param should go to %doc

Will the program look for them in any specific place, or do they go into the
home directory or the current directory?  Looking at the source code it seems
like the latter, and it also looks like the program includes a hardcoded copy
(in prefs.h) that it can dump on demand.  So you're right, if the program won't
look for them anywhere, they should be marked %doc.

> The rest of the files are convolution masks for optimal detection of objects in
> images and the neural network weights. These files are not supposed to be edited
> by the user. Should these files go to /etc?

They seem fine in /usr/share.  The point about /usr/share is that files must be
arch-independent and not written to, in case /usr is shared between machines.
Comment 5 Sergio Pascual 2006-06-20 10:56:07 EDT
The *.conv files are simple ASCII, so I think I can leave them in /usr/share
I have moved default.param and default.sex to %doc 

Additionally, I have solved the problem with src/fits/fitsconv.c

The new spec and SRPM are here:
http://t-rex.fis.ucm.es/~spr/sextractor.spec
http://t-rex.fis.ucm.es/~spr/sextractor-2.4.4-2.fc5.src.rpm
Comment 6 Jason Tibbitts 2006-06-20 19:39:07 EDT
Builds fine, rpmlint is silent and the permission on the errant source file is
fixed.  In addition, the sample configuration files are %doc.  Everything looks
good to me.

APPROVED
Comment 7 Sergio Pascual 2008-07-16 15:48:19 EDT
Package Change Request
======================
Package Name: sextractor
New Branches: EL-5
Comment 8 Kevin Fenzi 2008-07-16 20:15:51 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.